/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: WizardStep.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

/*  
Copyright 2009 Flashmattic, Matti Bar-Zeev

Licensed under the Apache License,Version 2.0 (the "License"); you may not use 
this file except in compliance with the License. You may obtain a copy of the 
License at 

http://www.apache.org/licenses/LICENSE-2.0 

Unless required by applicable law or agreed to in writing, software distributed
under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
CONDITIONS OF ANY KIND, either express or implied. See the License for the 
specific language governing permissions and limitations under the License. 
*/
package org.ow2.sirocco.cloudmanager.utils.wizard {
	import mx.containers.Canvas;
	
	/**
	 * @author MBz
	 */	
	public class WizardStep extends Canvas implements IWizardStep {
		private var _stepName:String;
		private var _stepDescription:String;
		private var _isValid:Boolean;
		private var _dataField:String;
		
		public function WizardStep() {
			super();
		}
		
		public function get stepName():String {
			return _stepName;
		}
		
		public function set stepName(value:String):void	{
			_stepName = value;
		}
		
		public function get stepDescription():String {
			return _stepDescription;
		}
		
		public function set stepDescription(value:String):void {
			_stepDescription = value;
		}
		[Bindable]
		public function get isValid():Boolean {
			return _isValid;
		}
		
		public function set isValid(value:Boolean):void	{
			_isValid = value;
		}
		
		public function get dataField():String {
			return _dataField;
		}
		
		public function set dataField(value:String):void {
			_dataField = value;
		}
		
		public function get stepDecision():* {
			return null;
		}
		
		public function get readableStepDecision():String {
			return null;	
		}
	}
}
