/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: PerfMetricInfo$Unit.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */


package org.ow2.sirocco.cloudmanager.vo {

    import flash.utils.IExternalizable;
    
    import org.granite.util.Enum;

    [Bindable]
    [RemoteClass(alias="org.ow2.sirocco.cloudmanager.clustermanager.api.PerfMetricInfo$Unit")]
    public class PerfMetricInfo$Unit extends Enum implements IExternalizable {

		public static const NUMBER:PerfMetricInfo$Unit = new PerfMetricInfo$Unit("NUMBER",_);
        public static const PERCENT:PerfMetricInfo$Unit = new PerfMetricInfo$Unit("PERCENT",_);
        public static const MILLISECOND:PerfMetricInfo$Unit = new PerfMetricInfo$Unit("MILLISECOND",_);
        public static const SECOND:PerfMetricInfo$Unit = new PerfMetricInfo$Unit("SECOND",_);
        public static const KILOBYTES_PER_SEC:PerfMetricInfo$Unit = new PerfMetricInfo$Unit("KILOBYTES_PER_SEC",_);
        public static const KILOBITS_PER_SEC:PerfMetricInfo$Unit = new PerfMetricInfo$Unit("KILOBITS_PER_SEC",_);
        public static const KILOBYTES:PerfMetricInfo$Unit = new PerfMetricInfo$Unit("KILOBYTES",_);
        public static const MEGABYTES:PerfMetricInfo$Unit = new PerfMetricInfo$Unit("MEGABYTES",_);

        function PerfMetricInfo$Unit(value:String = null, restrictor:* = null) {
            super((value || NUMBER.name), restrictor);
        }

        override protected function getConstants():Array {
            return constants;
        }

        public static function get constants():Array {
            return [NUMBER, PERCENT, MILLISECOND, SECOND, KILOBYTES_PER_SEC, KILOBITS_PER_SEC, KILOBYTES, MEGABYTES];
        }

        public static function valueOf(name:String):PerfMetricInfo$Unit {
            return PerfMetricInfo$Unit(NUMBER.constantOf(name));
        }
        
        
//        public function readExternal(input:IDataInput):void {
//        	
//        }
//
//        public function writeExternal(output:IDataOutput):void {
//        }

    }
}
