/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: VirtualMachineDataCenterVO.as 151 2011-07-19 13:12:35Z otterley $
 *
 */

package org.ow2.sirocco.cloudmanager.vo
{

	[Bindable]
	public class VirtualMachineDataCenterVO extends VirtualMachineVO
	{

		public var domain:DomainVO;
		public var domainName:String;
		public var serverPool:ServerPoolVO;
		public var serverPoolName:String;
		public var host:HostVO;
		public var hostName:String;

		public function VirtualMachineDataCenterVO()
		{
			super();
		}


		override public function toString():String
		{
			return "VirtualMachineDataCenterVO {id = " + id + ",providerId = " + providerId + ",name = " + name + ",mac = " + mac + ",ip = " + ip + ",username = " + username + ",location = " + location + ",imageId = " + imageId + "}";
		}
	}

}
