/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: VMImage$Visibility.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */


package org.ow2.sirocco.cloudmanager.business {

    import org.granite.util.Enum;
    import flash.utils.IDataInput;
    import flash.utils.IDataOutput;
    import flash.utils.IExternalizable;

    [Bindable]
    [RemoteClass(alias="org.ow2.sirocco.cloudmanager.business.VMImage$Visibility")]
    public class VMImage$Visibility extends Enum implements IExternalizable {

        public static const USER:VMImage$Visibility = new VMImage$Visibility("USER", _);
        public static const PROJECT:VMImage$Visibility = new VMImage$Visibility("PROJECT", _);
        public static const PUBLIC:VMImage$Visibility = new VMImage$Visibility("PUBLIC", _);

        function VMImage$Visibility(value:String = null, restrictor:* = null) {
            super((value || USER.name), restrictor);
        }

        override protected function getConstants():Array {
            return constants;
        }

        public static function get constants():Array {
            return [USER, PROJECT, PUBLIC];
        }

        public static function valueOf(name:String):VMImage$Visibility {
            return VMImage$Visibility(USER.constantOf(name));
        }
		
    }
}
