/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: DestroyVMImageEvent.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.event
{

	import com.adobe.cairngorm.control.CairngormEvent;

	public class DestroyVMImageEvent extends CairngormEvent
	{

		// Name of the Event.
		public static const DESTROY_VM_IMAGE:String="destroyVMImage";

		// the identifier of the VM image
		private var _imageId:int;

		public function DestroyVMImageEvent(imageId:int)
		{
			super(DESTROY_VM_IMAGE);
			this._imageId=imageId;
		}

		public function get imageId():int
		{
			return this._imageId;
		}

	}

}
