/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id$
 *
 */

package org.ow2.sirocco.cloudmanager.vo
{

import com.adobe.cairngorm.vo.IValueObject;


[RemoteClass(alias = "org.ow2.sirocco.cloudmanager.clustermanager.api.VolumeSpec")]
[Bindable]
public class VolumeSpec implements IValueObject
{
    
    public var name : String;
    
    public var description : String;
    
    public var capacityInMB : Number;
    
    public var visibility : String;
    
    public var constraints : Object;
    
    
    public function VolumeSpec()
    {
        super();
    }
    
    public function toString() : String
    {
        return "VolumeSpec {name = " + name + ",capacityInMB = " + " name=" + name + "}";
    }
}

}


